Bug 858034 - (CVE-2012-4427) CVE-2012-4427 gnome shell: browser integration plugin installs extensions without authorization
CVE-2012-4427 gnome shell: browser integration plugin installs extensions wit...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120909,repor...
: Security
Depends On: 858036
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 16:27 EDT by Vincent Danen
Modified: 2013-07-02 08:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 779473 None None None 2012-09-18 07:23:09 EDT

  None (edit)
Description Vincent Danen 2012-09-17 16:27:57 EDT
Tavis Ormandy discovered that the browser extension installed as part of Gnome Shell (libgnome-shell-browser-plugin.so) would install Gnome Shell extensions without authorization from the user running the browser.  While the Gnome Shell extension installer does not install these extensions directly, it does pass them to Gnome Shell via D-BUS, which then in turn installs the extension from extensions.gnome.org.  If a malicious user were to upload a malicious extensions to extensions.gnome.org and coerce a user into visiting a site where the extension installer would request that application's installation, the extension would be installed without the victim's knowledge.
Comment 1 Vincent Danen 2012-09-17 16:29:05 EDT
The initial report was here:

http://www.openwall.com/lists/oss-security/2012/09/08/1
Comment 2 Vincent Danen 2012-09-17 16:29:34 EDT
Created gnome-shell tracking bugs for this issue

Affects: fedora-all [bug 858036]
Comment 3 Jan Lieskovsky 2012-09-18 07:23:09 EDT
Upstream bug report:
https://bugzilla.gnome.org/show_bug.cgi?id=684215
Comment 4 Matthias Clasen 2013-07-02 08:45:33 EDT
I think this is not a problem anymore, since browser behaviour has changed.
See discussion in the upstream bug

Note You need to log in before you can comment on or make changes to this bug.